Groovy Documentation

## groovy.util
[Java] Class NodePrinter

    java.lang.Object
      groovy.util.NodePrinter

    public class NodePrinter
    extends java.lang.Object

A helper class for creating nested trees of data

Authors:
  James Strachan
  Christian Stein

Version:
  \$Revision\$

Field Summary
`protected IndentPrinter` | `out`

Constructor Summary
`NodePrinter()`
`NodePrinter(java.io.PrintWriter out)`
`NodePrinter(IndentPrinter out)`

Method Summary
`void` | `print(Node node)`
`protected void` | `printAttributes(java.util.Map attributes)`
`protected void` | `printList(java.util.List list)`
`protected void` | `printName(Node node)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### out

    protected final IndentPrinter out

Constructor Detail

### NodePrinter

    public NodePrinter()

### NodePrinter

    public NodePrinter(java.io.PrintWriter out)

### NodePrinter

    public NodePrinter(IndentPrinter out)

Method Detail

### print

    public void print(Node node)

### printAttributes

    protected void printAttributes(java.util.Map attributes)

### printList

    protected void printList(java.util.List list)

### printName

    protected void printName(Node node)

Groovy Documentation